# ObjectSetter Class Reference

Inheritance diagram for ObjectSetter:
[legend]

List of all members.

## Public Member Functions

| set ($name, $value)
| getGetter ()

## Private Attributes

| $getter = null

## Detailed Description

Definition at line 12 of file ObjectSetter.class.php.

## Member Function Documentation

ObjectSetter::getGetter | ( |  | ) |

Returns:
  ObjectGetter

Reimplemented from PrototypedSetter.

Definition at line 40 of file ObjectSetter.class.php.

ObjectSetter::set | ( | $ | name,
|  | $ | value |
| ) |  |  |

Reimplemented from PrototypedSetter.

Definition at line 16 of file ObjectSetter.class.php.

## Member Data Documentation

ObjectSetter::$getter = null`[private]`

Definition at line 14 of file ObjectSetter.class.php.

The documentation for this class was generated from the following file:

- main/EntityProto/Accessors/ObjectSetter.class.php